> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf/version-control.md).

# Version Control

| Date       | Endpoint                  | Revision                                                                                                                                                                                             |
| ---------- | ------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 12/04/2019 | Tournaments REST API      | Remove course condition info                                                                                                                                                                         |
| 12/04/2019 | Tournaments REST API      | Rename yardage to officialYardage                                                                                                                                                                    |
| 12/04/2019 | Tournaments REST API      | add in actualYardage                                                                                                                                                                                 |
| 12/04/2019 | Tournaments REST API      | rename latitude to “y”                                                                                                                                                                               |
| 12/04/2019 | Tournaments REST API      | rename longitude to “x”                                                                                                                                                                              |
| 12/04/2019 | Tournaments REST API      | add in “z” co-ordinate (As of 12/04/19 will be “null” for ET)                                                                                                                                        |
| 12/04/2019 | Tournaments REST API      | remove course address info                                                                                                                                                                           |
| 12/04/2019 | Tournaments REST API      | remove prize info                                                                                                                                                                                    |
| 12/04/2019 | Tournaments REST API      | add in “tour” info (i.e was it from PGA or European)                                                                                                                                                 |
| 12/04/2019 | Tournaments REST API      | Add in dateTo and dateFrom request parameters and change default response when these parameters are not used                                                                                         |
| 12/04/2019 | Round Details WS          | change of Heartbeat format                                                                                                                                                                           |
| 12/04/2019 | Round Details WS          | Change of connection status update format, Alarm state renamed to “Disconnected”                                                                                                                     |
| 12/04/2019 | Players REST API          | Added info on request parameters                                                                                                                                                                     |
| 07/05/2019 | Tournaments REST API      | Added “isStreaming” boolean that will be attributed to a hole within the golf course information per round                                                                                           |
| 21/05/2019 | Round Details WS          | Update to corrections – Correction packets now include all information on the packet that has been corrected, not just the fields that have been updated                                             |
| 03/06/2019 | Round Details WS          | Update to ballLie object in multiple Round Details packets; approximate lie, detailed lie, ball drop, provisional ball selected will now use “x”, “y” and “z” rather than “longitude” and “latitude” |
| 12/06/2019 | Leaderboard WS            | Add in “holeStart” to each player’s round information, to indicate which hole they are teeing off from first on a particular round                                                                   |
| 16/12/2019 | Player statistics         | Player statistics documented                                                                                                                                                                         |
| 16/12/2019 | Playoffs                  | Playoffs documented as subset of round details scenarios and team hole by hole                                                                                                                       |
| 23/12/2019 | Hole correction mode      | Hole correction mode documented                                                                                                                                                                      |
| 14/01/2020 | Drops and penalty strokes | Merged drop and penalty stroke docs and added examples for 5 scenarios as provided by flightscope                                                                                                    |
| 02/06/2021 | All static end points     | Updated for match play (including Ryder Cup) use cases                                                                                                                                               |
| 02/06/2021 | Squads API                | new end point for Ryder Cup                                                                                                                                                                          |
| 02/06/2021 | Match Play Leaderboard    | new feed for match play (including Ryder Cup)                                                                                                                                                        |
| 02/06/2021 | Match Score               | new feed for match play (including Ryder Cup)                                                                                                                                                        |
| 02/06/2021 | Match Details             | new feed for match play (including Ryder Cup)                                                                                                                                                        |
| 25/08/2021 | Tournaments               | New field and endpoint filter `tournamentDataStatus`                                                                                                                                                 |
| 25/08/2021 | Match Score               | Added supplementary info for `holeFinishedBy`                                                                                                                                                        |
| 25/08/2021 | NA                        | Added comprehensive JSON response examples for RyderCup                                                                                                                                              |
| 03/09/2021 | Match Details             | match details updated                                                                                                                                                                                |
| 03/09/2021 | Match Score               | match score updated                                                                                                                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/golf/version-control.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
